#include <bits/stdc++.h>
using namespace std;
int main(){
    int n,l;
    cin >> n >> l;
    bool udario=false;
    unsigned long long x;
    int g;
    for (int i=0; i<n; i++){
        cin >> x;
        if (x<=l) {
            g=i+1;
            udario=true;
            break;
        }
    }
    if (udario) cout << g;
    else if (!udario) cout << -1;
    return 0;
}